Bug 1138455 - Review Request: rubygem-occi-core - OCCI toolkit
Summary: Review Request: rubygem-occi-core - OCCI toolkit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1141569 1149407
TreeView+ depends on / blocked
 
Reported: 2014-09-04 20:27 UTC by František Dvořák
Modified: 2014-12-13 09:40 UTC (History)
2 users (show)

Fixed In Version: rubygem-occi-core-4.3.2-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-13 09:39:04 UTC
mtasaka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description František Dvořák 2014-09-04 20:27:55 UTC
Spec URL: http://scientific.zcu.cz/fedora/rubygem-occi-core-4.2.16-1/rubygem-occi-core.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-occi-core-4.2.16-1/rubygem-occi-core-4.2.16-1.fc22.src.rpm
Description: OCCI is a collection of classes to simplify the implementation of the Open Cloud Computing API in Ruby.
Fedora Account System Username: valtri

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7526259

Comment 2 Mamoru TASAKA 2014-11-26 14:04:38 UTC
Taking.

I would appreciate it if you would swap reviews with my bug 1164566 .

Comment 3 Mamoru TASAKA 2014-11-27 06:49:45 UTC
Mostly okay, some suggestions or so

* Latest version
  - is 4.3.2, please update (diff seems not so long)

* %license
  - For license file, using %license is now recommended.

* Usually non-needed files
  - Files only used for test suite need not be packaged (spec/).
    We usually don't package this on autotools based packages,
    and it is explained also on:
    https://fedoraproject.org/wiki/Packaging:Ruby?rd=Packaging/Ruby#Running_test_suites

  - Gemfile, Rakefile are alike "Makefile" in autotools based
    packages and we usually don't need this on runtime.

Comment 4 František Dvořák 2014-11-27 14:44:01 UTC
(In reply to Mamoru TASAKA from comment #3)
> * Latest version
>   - is 4.3.2, please update (diff seems not so long)
> 

OK. I used the older branch, where the dependent package rOCCI-server has fewer dependencies. But it's true it should be used the newest version, and there can be disabled some backends on the rOCCI-server, if needed. :-)

> * %license
>   - For license file, using %license is now recommended.
> 

Done.

> * Usually non-needed files
>   - Files only used for test suite need not be packaged (spec/).
>     We usually don't package this on autotools based packages,
>     and it is explained also on:
>    
> https://fedoraproject.org/wiki/Packaging:Ruby?rd=Packaging/
> Ruby#Running_test_suites
> 

Done. I see, there is obvious "don't include tests" message. :-)

>   - Gemfile, Rakefile are alike "Makefile" in autotools based
>     packages and we usually don't need this on runtime.

OK, removed.

Thanks for the review!


New version:

Spec URL: http://scientific.zcu.cz/fedora/rubygem-occi-core-4.3.2-1/rubygem-occi-core.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-occi-core-4.3.2-1/rubygem-occi-core-4.3.2-1.fc22.src.rpm

* Thu Nov 27 2014 František Dvořák <valtri@civ.zcu.cz> - 4.3.2-1
- Update to 4.3.2
- Removed rails >= 4.1 compatibility patch
- The license file marked by %%license macro
- Removed tests and build files

Comment 5 Mamoru TASAKA 2014-11-28 06:54:41 UTC
Approving.

----------------------------------------------------------------
  This package (rubygem-occi-core) is APPROVED by mtasaka
----------------------------------------------------------------

Comment 6 František Dvořák 2014-11-28 08:59:17 UTC
New Package SCM Request
=======================
Package Name: rubygem-occi-core
Short Description: OCCI toolkit
Upstream URL: https://github.com/EGI-FCTF/rOCCI-core
Owners: valtri
Branches: f20 f21
InitialCC:

Comment 7 Gwyn Ciesla 2014-12-01 13:19:12 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-12-01 22:44:32 UTC
rubygem-occi-core-4.3.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rubygem-occi-core-4.3.2-1.fc21

Comment 9 Fedora Update System 2014-12-01 22:45:16 UTC
rubygem-occi-core-4.3.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-occi-core-4.3.2-1.fc20

Comment 10 Fedora Update System 2014-12-02 01:03:19 UTC
rubygem-occi-core-4.3.2-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 11 Fedora Update System 2014-12-13 09:39:04 UTC
rubygem-occi-core-4.3.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-12-13 09:40:14 UTC
rubygem-occi-core-4.3.2-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.